Document Solution Configuration Update
Updates an existing document solution configuration.
JWT token to authenticate the request.
In: header
API key, sent as a request header.
In: header
Path Parameters
GUID of the document solution configuration to update.
uuidRequest Body
application/json
The DocumentSolutionConfigurationModel payload to update. Server-managed fields (ids, timestamps, links, isDeleted) are ignored.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/documents/configuration/a3bb189e-8bf9-3888-9912-ace4e6543002/update" \ -H "Content-Type: application/json" \ -d '{ "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851", "name": "Invoice - PDF via Email", "description": "Renders invoices as PDF and e-mails them to the customer.", "title": "Invoice", "fileFormat": "pdf", "processingType": "STANDARD", "deliveryMethod": "Email", "path": "output/invoices/", "pdfConformanceLevel": "PdfA2B", "pdfVersion": "2026-01-07", "language": "en", "locale": "en-US", "timeZone": "America/New_York", "embeddedData": "{\\"companyName\\":\\"Contoso Ltd\\"}", "viewAnonymous": false, "editAnonymous": false, "viewOrganization": true, "editOrganization": false, "viewUser": true, "editUser": false, "viewUserEmailList": "alice@example.com,bob@example.com", "editUserEmailList": "carol@example.com" }'{ "result": { "data": { "documentSolutionConfiguration": { "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002", "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851", "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "name": "Invoice - PDF via Email", "description": "Renders invoices as PDF and e-mails them to the customer.", "title": "Invoice", "fileFormat": "pdf", "processingType": "STANDARD", "deliveryMethod": "Email", "path": "output/invoices/", "pdfConformanceLevel": "PdfA2B", "pdfVersion": "2026-01-07", "language": "en", "locale": "en-US", "timeZone": "America/New_York", "embeddedData": "{\"companyName\":\"Contoso Ltd\"}", "viewAnonymous": false, "editAnonymous": false, "viewOrganization": true, "editOrganization": false, "viewUser": true, "editUser": false, "viewUserEmailList": "alice@example.com,bob@example.com", "editUserEmailList": "carol@example.com", "createdDate": "2026-07-14T09:30:00.0000000+00:00", "lastModifiedDate": "2026-07-14T09:30:00.0000000+00:00", "isDeleted": false } }, "statusCode": 200, "message": "OK" }, "origin": "https://app.example.com", "dateTime": "2026-07-14T09:30:00.0000000+00:00", "operationId": "0HN7GK9M4T2R5"}{ "code": "DATA_NAME_REQUIRED", "message": "Name is required."}{ "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "eventId": "a1b2c3d4"}